export declare const isValid: (value: any) => boolean;
export declare const isBoolean: (val: any) => val is boolean;
export declare const isFunction: <T extends Function>(val: any) => val is T;
export declare const isNumber: (val: any) => val is number;
export declare const isString: (val: unknown) => val is string;
export declare function isValidValue(val: any): boolean;
export declare const isNumeric: (value: any) => boolean;
export declare const isObject: (val: any) => boolean;
export declare function isArray(val: any): val is Array<any>;
